
Foreman - Bug #5725

Puppet Classes counters not updating # of hosts being used on

05/14/2014 06:14 PM - Jason Berry

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1746

  

Description

Counters are all at Zero, when puppet class is part of a Config Group -> Config group used in Host Group -> Host is assigned to host

group.

Issue possibly caused by bug 5723?

Related issues:

Related to Foreman - Bug #5723: Puppet classes not showing Host Group Members... Closed 05/14/2014

Related to Foreman - Bug #844: puppetclass host count does not count hosts th... Closed 04/14/2011

Associated revisions

Revision 83683ed0 - 11/12/2014 04:21 AM - Tomer Brisker

Fixes #844 #5725 - correct hosts count in puppetclass

History

#1 - 05/15/2014 08:16 AM - Dominic Cleal

- Related to Bug #5723: Puppet classes not showing Host Group Membership when used through Config Groups added

#2 - 05/15/2014 08:16 AM - Dominic Cleal

- Category set to Web Interface

#3 - 08/28/2014 10:23 AM - Tomer Brisker

- Assignee set to Tomer Brisker

#4 - 09/01/2014 08:54 AM - Tomer Brisker

- Related to Bug #844: puppetclass host count does not count hosts though a hostgroup added

#5 - 09/01/2014 08:55 AM - Tomer Brisker

- Status changed from New to Assigned

#6 - 09/08/2014 08:43 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1746 added

- Pull request deleted ()

#7 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3
#8 - 09/30/2014 10:39 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#9 - 11/12/2014 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 83683ed0aeb6ab38d518837698d90c50b4adf65b.

#10 - 11/12/2014 05:17 AM - Dominic Cleal

- translation missing: en.field_release set to 28
